package com.yizhi.enroll.application.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 报名主体表，入口在培训项目
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
@Data
@ApiModel(value = "EnrollerVo", description = "学员报名管理表")
public class EnrollerVo {	       
    
	@ApiModelProperty("用户状态") 
    private Integer accountState;  
    
    @ApiModelProperty(notes="学员ID")
    private Long accountId;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty(notes="姓名")
    private String name;
    
    @ApiModelProperty("部门ID")
    private Long orgId;
    
    @ApiModelProperty("所在部门名称")
    private String orgName;

    @ApiModelProperty("所在上级部门")
    private String orgNames;

    @ApiModelProperty("报名时间")
    private Date applyTime;

    @ApiModelProperty("报名状态") 
    private Integer state;

    @ApiModelProperty("审核结果") 
    private Integer auditResult;

    @ApiModelProperty("项目报名花费金币数")
    private Integer expenditure;
}
