package com.yizhi.application.controller.api;



import com.yizhi.application.service.EnrollService;
import com.yizhi.enroll.application.vo.GetEnrollVO;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.web.bind.annotation.*;


/**
 * <p>
 * 报名主体表，入口在培训项目 前端控制器   学员端
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
@RestController
@RequestMapping("/remote/api/enroll")
public class EnrollApiController {

    @Autowired
    private EnrollService enrollService;

    @GetMapping("/getEnroll")
    public GetEnrollVO getEnrollByProjectId(@RequestParam("projectId") Long projectId, @RequestParam("accountId") Long accountId) {
        return enrollService.getEnrollByProjectId(projectId, accountId);
    }

    @GetMapping("/pc/getEnroll")
    public GetEnrollVO pcGetEnrollByProjectId(@RequestParam("projectId") Long projectId, @RequestParam("accountId") Long accountId) {

        return enrollService.getEnrollByProjectId(projectId, accountId);
    }
}

