package com.yizhi.application.mapper;

import java.util.List;
import java.util.Map;

import com.yizhi.application.domain.EnrollRecord;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.enroll.application.vo.EnrollerVo;
import com.yizhi.enroll.application.vo.GetEnrollVO;


/**
 * <p>
 * 记录学员报名信息 Mapper 接口
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
public interface EnrollRecordMapper extends BaseMapper<EnrollRecord> {
	
	List<EnrollerVo> exportRegisteredList(Map<String, Object> map);

	public List<EnrollerVo> list(@Param("map")Map<String, Object> map, @Param("page")Page<EnrollerVo> page);

	public void insert(Map<String, Object> map);

	List<EnrollRecord> selectByProjectAndAccountId(Map<String, Object> map);
	
	int updateState(@Param("id")Long id,@Param("auditStatus")Integer auditStatus);
	
	GetEnrollVO getEnrollByProjectId(@Param("projectId")Long projectId);

}
