package com.yizhi.enroll.application.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "ReturnEnrollVO", description = "报名信息，是否报名")
public class ReturnEnrollVO {

	@ApiModelProperty(value = "是否报名, 0 未报名 1 报名")
    private Integer isEnroll;
	
	@ApiModelProperty(notes = "主键id")
	private Long id;
	
	@ApiModelProperty(notes = "培训项目_id")
	private Long trainingProjectId;
	
	@ApiModelProperty(notes = "学员_id")
	private Long accountId;
	
	@ApiModelProperty(notes = "报名时间")
	private Date applyTime;
	
	@ApiModelProperty(notes = "审核状态：0：不需要审核，1：待审核，2：审核通过，3：审核不通过, 4: 报名未开始, 5:报名已结束 , 6:未报名, 7:未获取该培训报名信息   默认0。")
	private Integer auditStatus;
	
	@ApiModelProperty(notes = "审核人id")
	private Long auditUserId;
	
	@ApiModelProperty(notes = "审核人姓名")
	private String auditUserName;
	
	@ApiModelProperty(notes = "审核时间")
	private Date auditTime;
}
