package com.yizhi.application.mapper;

import java.util.List;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.application.domain.Enroll;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 报名主体表，入口在培训项目 Mapper 接口
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
public interface EnrollMapper extends BaseMapper<Enroll> {

	List<Enroll> selectByProjectId(@Param("trainingProjectId") Long trainingProjectId);
	
}
